Kodi 19 update error: An error occurred while installing the following package: (unknown package)

I was glad to see the notification that the Kodi 19 update was available for download. Thank you for all the hard work!

Unfortunately, the update didn’t go as expected on my RPi3. I clicked on install, and initially, the update appeared to proceed as normal. However, after a minute or so, I got the following message:

An error occurred while installing the following package: (unknown package)

After this message, the Pi rebooted.

Then I tried installing the update once again, this time via the OSMC menu with debugging enabled. This resulted in the same error.

My logs can be found here.

It had been so long ago since I last logged in via SSH that I couldn’t remember my (anything but default) password. So I figured it would take me less time to do a completely new install, than to bruteforce my own password. The new install went fine, so unless the problem reappears at some point, consider this problem solved.

Hello

I have a sad face after the upgrade. I try to install the upgrade like that:

osmc@osmc:~$ sudo apt-get update
Hit:1 http://ftp.debian.org/debian buster InRelease
Hit:2 http://ftp.debian.org/debian buster-updates InRelease
Hit:3 http://security.debian.org buster/updates InRelease
Hit:4 http://ftp.fau.de/osmc/osmc/apt buster InRelease
Reading package lists... Done
osmc@osmc:~$ sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 armv7-network-osmc : Depends: armv7-bluezalsa-osmc but it is not installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or speci                                                                                                             fy a solution).
osmc@osmc:~$

what can i do with this bluetooth problem ?

Not easy but you can try

sudo apt-get remove --purge a2dp-app-osmc pulseaudio-module-bluetooth pulseaudio
sudo dpkg -r armv7-bluez-alsa-app-osmc
sudo dpkg -r armv7-bluez-alsa-osmc
sudo apt-get --fix-broken install
1 Like

tks it works.

i think the problem was that i installed previoulsy this one: armv7-bluez-alsa-osmc

maybe it could help other people in this case

Again many thanks

Yes, we mentioned it in the bluez thread

Sorry I did not read this topic after you update it about kodi v19.